import moment from "moment";
import { defineStore } from "pinia";
import { getUserList } from "@/axios/model/user";
export const useUserStore = defineStore("user", {
  state: () => {
    return {
      isConnected: false, //连接状态
      messages: [],
      customerInfo: {
        sessionId: "",
      },
      count: 0,
      userInfo: {
        username: "admin",
        password: "",
        token: "",
      },
      userList: [],
    };
  },
  actions: {
    setCount(num: number) {
      this.count = num;
    },
    setCustomerInfo(res: any) {
      this.customerInfo = res;
    },
    setUserInfo(res: any) {
      this.userInfo = res;
    },
    setUserListMessages(res: any) {
      return new Promise((resolve, reject) => {
        const query = {
          code: this.userInfo.username,
          name:res.nickame
        };
        console.log(query)
        getUserList(query).then(({ success, result, message }: any) => {
          if (success) {
            this.userList = result.map((item: any) => {
              return {
                ...item,
                username: item.id,
                userImg: "https://img2.baidu.com/it/u=3369130612,2858330241&fm=253&app=138&size=w931&n=0&f=JPEG&fmt=auto?sec=1713891600&t=a5f6e80de48d2a4a5158a68aeafa0ecf",
                messages: [],
              };
            });
            resolve(result);
          }
        });
      });
    },
    connect() {
      // 连接成功后，将 isConnected 状态设置为 true
      this.isConnected = true;
    },
    disconnect() {
      // 断开连接或退出登录时，将 isConnected 状态设置为 false
      this.isConnected = false;
    },
  },
  persist: true,
});
