import ClipboardJS from "clipboard";
import { ElMessage } from "element-plus";
export function getShortDate(): string {
  const now = new Date();
  let month: string = (now.getMonth() + 1).toString();
  if (month.length < 2) {
    month = "0" + month;
  }
  let day: string = now.getDate().toString();
  if (day.length < 2) {
    day = "0" + day;
  }
  let hour: string = now.getHours().toString();
  if (hour.length < 2) {
    hour = "0" + hour;
  }
  let minutes: string = now.getMinutes().toString();
  if (minutes.length < 2) {
    minutes = "0" + minutes;
  }

  return month + "-" + day + " " + hour + ":" + minutes;
}
export const require = (imgPath: any) => {
  try {
    const handlePath = imgPath.replace("@", "..");
    return new URL(handlePath, import.meta.url).href;
  } catch (error) {
    console.warn(error);
  }
};

export const copyText = (text) => {
  const textarea = document.createElement("textarea");
  textarea.value = text;
  document.body.appendChild(textarea);
  textarea.focus();
  textarea.select();
  ElMessage("复制成功！");
  return new Promise((resolve, reject) => {
    document.execCommand("copy") ? resolve() : reject();
    textarea.remove();
  });
};

export const regexText = (html) => {
	var result = html.replace(/<[^<>]+>/g, "");
  console.log(result,'result')
  return result;
};
